package com.zjrs.ggfw.rlzysc.bpo;

import org.mohrss.leaf.core.framework.domain.bpo.IBPO;
import org.mohrss.leaf.core.framework.persistens.PageResult;
import com.zjrs.ggfw.portal.po.VAc01;
import com.zjrs.ggfw.rlzysc.dto.*;
import com.zjrs.ggfw.rlzysc.po.RsRlzyYgbaygYwPO;

import java.io.InputStream;
import java.util.Map;

public interface YgbaBPO extends IBPO {

    Map<String, Object> getDwxx();

    String saveDwxx(YgbadwUDTO dto);

    PageResult getYgxxlist(YgbaYgxxQueryDTO dto, Integer pagenum, Integer pagesize);

    String saveYgxx(YgbaygUDTO dto);

    void batchSubmitYgxx(YgbaygCommDTO dto);

    void delYgxx(YgbaygCommDTO dto);

    void quitYgxx(YgbaygQuitDTO dto);

    Map<String, String> importYgxx(InputStream is)   throws Exception ;

    PageResult importHzList(YgbaygtempQueryDTO dto, Integer pagenum, Integer pagesize);

    PageResult importMxList(YgbaygtempQueryDTO dto, Integer pagenum, Integer pagesize);

    RsRlzyYgbaygYwPO getYgxx(YgbaygCommDTO dto);

    VAc01 ygbaGetGrjbxx(YgbaygCommDTO dto);
}

